POST api/student/create
Request Information
URI Parameters
None.
Body Parameters
CreateStudentRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| admissionDate | string |
None. |
|
| studentName | string |
None. |
|
| studentClass | string |
None. |
|
| section | string |
None. |
|
| phone | string |
None. |
|
| parentPhone | string |
None. |
|
| parentName | string |
None. |
|
| address | string |
None. |
|
| feesAmount | string |
None. |
|
| password | string |
None. |
|
| studentid | integer |
None. |
|
| schoolid | integer |
None. |
|
| dateofbirth | date |
None. |
|
| schoolType | string |
None. |
|
| studentFamily | string |
None. |
|
| fid | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"admissionDate": "sample string 1",
"studentName": "sample string 2",
"studentClass": "sample string 3",
"section": "sample string 4",
"phone": "sample string 5",
"parentPhone": "sample string 6",
"parentName": "sample string 7",
"address": "sample string 8",
"feesAmount": "sample string 9",
"password": "sample string 10",
"studentid": 11,
"schoolid": 12,
"dateofbirth": "2026-03-02T03:33:58.7586602-08:00",
"schoolType": "sample string 14",
"studentFamily": "sample string 15",
"fid": "sample string 16"
}
application/xml, text/xml
Sample:
<CreateStudentRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SCCApi.Controllers"> <address>sample string 8</address> <admissionDate>sample string 1</admissionDate> <dateofbirth>2026-03-02T03:33:58.7586602-08:00</dateofbirth> <feesAmount>sample string 9</feesAmount> <fid>sample string 16</fid> <parentName>sample string 7</parentName> <parentPhone>sample string 6</parentPhone> <password>sample string 10</password> <phone>sample string 5</phone> <schoolType>sample string 14</schoolType> <schoolid>12</schoolid> <section>sample string 4</section> <studentClass>sample string 3</studentClass> <studentFamily>sample string 15</studentFamily> <studentName>sample string 2</studentName> <studentid>11</studentid> </CreateStudentRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.